Bug 1127607 - PRD35 - [RFE] abillity to get device name/serial id information from the guest
Summary: PRD35 - [RFE] abillity to get device name/serial id information from the guest
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent
Version: 3.3.0
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: ---
: 3.5.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On:
Blocks: 1063597 rhev3.5beta3
TreeView+ depends on / blocked
 
Reported: 2014-08-07 08:49 UTC by Liron Aravot
Modified: 2015-02-17 08:27 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
A new feature that allows mapping of disk images in RHEVM to physical disks inside the guest.
Clone Of: 1063597
Environment:
Last Closed: 2015-02-17 08:27:25 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31465 master MERGED Support for mapping image ids to physical devices Never
oVirt gerrit 31497 master MERGED Handle and store serial to guest device names mapping Never
oVirt gerrit 31724 ovirt-3.5 MERGED Support for mapping image ids to physical devices Never
oVirt gerrit 31725 ovirt-3.5 MERGED Handle and store serial to guest device names mapping Never

Comment 1 Vinzenz Feenstra [evilissimo] 2014-08-21 08:40:43 UTC
Testing this depends on the BZ#1063597 implementation.

Once the feature is completed on the VDSM side, `vdsClient -s 0 list full` should expose the new field 'diskMapping' with the following format: 
{'$serial': {'name': '$name'}}

where $serial reflects the first 20 characters of the image ID and $name for linux is something like '/dev/sda'

Please note that in theory there can be other storage devices reported e.g. USB drives or SCSI pass through which of course won't reflect the imageID.

So not every device in the structure have to be an image.

Comment 2 Jiri Belka 2014-10-24 12:34:05 UTC
ok, vdsm-4.16.7-1.el6ev.x86_64 / rhevm-guest-agent-common-1.0.10-2.el6ev.noarch

vfeenstr@ code works, GA is sending 'mapping' and vdsm can get it. Although there's missing vdsm part for using this data - BZ1063597.

I exploited disksUsage to display 'mapping' just for verification of this part.

--- /tmp/guestagent.py  2014-10-23 14:37:18.350107664 +0200
+++ /usr/share/vdsm/virt/guestagent.py  2014-10-23 14:38:47.232039716 +0200
@@ -303,8 +303,9 @@
                 disk['total'] = str(disk['total'])
                 disk['used'] = str(disk['used'])
                 disks.append(disk)
-            self.guestInfo['disksUsage'] = disks
+#            self.guestInfo['disksUsage'] = disks
             self.guestDiskMapping = args.get('mapping', {})
+            self.guestInfo['disksUsage'] = args.get('mapping',{})
         elif message == 'number-of-cpus':
             self.guestInfo['guestCPUCount'] = int(args['count'])
         else:

* rhel6.6

# vdsClient -s 0 getAllVmStats  | grep disksUsage
        disksUsage = {'c42d5431-b104-47d8-b': {'name': '/dev/vda'}}
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ mapping

* windows 7 64bit

# vdsClient -s 0 getAllVmStats | grep disksUsage
        disksUsage = {'631781c0-b748-4700-b': {'name': '\\\\.\\PHYSICALDRIVE0'}}

Comment 3 Jiri Belka 2014-10-29 14:01:30 UTC
no all windozes are happy - BZ1158501

Comment 4 Jiri Belka 2014-10-29 14:14:48 UTC
back to verified, it seems to be windows related (above is 'hardware' set to 'Linux') and also seems to be some delay related issue on windows OSes.

Comment 5 Omer Frenkel 2015-02-17 08:27:25 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.